aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
commit76ffb781ed7a917f23b67454e9f950e5e3b83527 (patch)
tree94fa8e1ddc7cb9ef80b78ea7896a5845f074f95b /sci-misc/stanford-tagger
parentmove stuff to root (diff)
downloadsci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.gz
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.bz2
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.zip
moved overlay to new directory
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@979 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/stanford-tagger')
-rw-r--r--sci-misc/stanford-tagger/ChangeLog9
-rw-r--r--sci-misc/stanford-tagger/Manifest4
-rw-r--r--sci-misc/stanford-tagger/metadata.xml12
-rw-r--r--sci-misc/stanford-tagger/stanford-tagger-20060521.ebuild66
4 files changed, 91 insertions, 0 deletions
diff --git a/sci-misc/stanford-tagger/ChangeLog b/sci-misc/stanford-tagger/ChangeLog
new file mode 100644
index 000000000..0e9394906
--- /dev/null
+++ b/sci-misc/stanford-tagger/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-misc/stanford-tagger
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*stanford-tagger-20060521 (04 Jan 2008)
+
+ 04 Jan 2008; Flammie Pirinen <flammie@gentoo.org>
+ +stanford-tagger-20060521.ebuild :
+ Initial import.
diff --git a/sci-misc/stanford-tagger/Manifest b/sci-misc/stanford-tagger/Manifest
new file mode 100644
index 000000000..7b42528c0
--- /dev/null
+++ b/sci-misc/stanford-tagger/Manifest
@@ -0,0 +1,4 @@
+DIST postagger-2006-05-21.tar.gz 10722420 RMD160 ee618b10c6fb9eedfaa7a0614738df2f2ed439b8 SHA1 8e397f79fbdb617131588a0ea88513c214617633 SHA256 944fa0f68d3b2d994817d535fd363483b0e3a1fa98cac5adb0b528c383105e8a
+EBUILD stanford-tagger-20060521.ebuild 1853 RMD160 d30964b00a9453facc39bd96fe40711722030dc5 SHA1 290bb56740265deccbb1eba65645662e3f76a5ba SHA256 1b503253214a81a7992c618086ecfb9474d77d99a23b03f4a07adee3165a83c7
+MISC ChangeLog 273 RMD160 5a9fb10be8435af92da3b680cce0e1f4a887c769 SHA1 35c4046c30094b06bef626cd14ffba5fb35aed35 SHA256 3e15ef9d8dd2dab91d178e7fa0f1f8a6fc6969f842b0e07a5429191cbbf1cff0
+MISC metadata.xml 387 RMD160 962fa47c4a877514f09facd31719ecb2e1c4b665 SHA1 00e15f49563be67e5cccb0aff19ec4539e268049 SHA256 9ceae9a3316bd872e35f9b1668974ff915ec615c7912c63affff52a6dc26945d
diff --git a/sci-misc/stanford-tagger/metadata.xml b/sci-misc/stanford-tagger/metadata.xml
new file mode 100644
index 000000000..d46da37f7
--- /dev/null
+++ b/sci-misc/stanford-tagger/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+ <email>flammie@gentoo.org</email>
+</maintainer>
+<longdescription>
+ University of Stanford’s Natural language pos tagger. Uses log linear
+ pos taggers such as Maximum Entropy model tagging.
+</longdescription>
+</pkgmetadata>
diff --git a/sci-misc/stanford-tagger/stanford-tagger-20060521.ebuild b/sci-misc/stanford-tagger/stanford-tagger-20060521.ebuild
new file mode 100644
index 000000000..0b50b06e8
--- /dev/null
+++ b/sci-misc/stanford-tagger/stanford-tagger-20060521.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+JAVA_PKG_IUSE="doc source"
+inherit java-pkg-2
+
+MY_PV=2006-05-21
+MY_P=postagger-${MY_PV}
+DESCRIPTION="Stanford’s log linear POS taggers"
+HOMEPAGE="http://nlp.stanford.edu/software/tagger.shtml"
+
+SRC_URI="http://nlp.stanford.edu/software/${MY_P}.tar.gz"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~x86"
+
+IUSE="${IUSE}"
+
+COMMON_DEP=""
+DEPEND=">=virtual/jdk-1.5
+ ${COMMON_DEP}"
+RDEPEND=">=virtual/jre-1.5
+ ${COMMON_DEP}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ jar xf ${MY_P}-source.jar
+ rm -v ${MY_P}.jar
+ sed -i 's/import edu.stanford.nlp.ling.IndexedFeatureLabe/\/\/\0/g' edu/stanford/nlp/stats/Counters.java || die "sed failed"
+ sed -i 's/import edu.stanford.nlp.sequences.BeamBestSequenceFinder/\/\/\0/g' edu/stanford/nlp/tagger/maxent/TestSentence.java || die "sed failed"
+}
+
+src_compile() {
+ ejavac `find edu -name *.java` || die "ejavac failed"
+ find edu -name '*.class' -o -name '*.properties' | \
+ xargs jar cf "${S}/${PN}.jar" || die "jar failed"
+}
+
+src_install() {
+ java-pkg_dojar ${PN}.jar
+ dodir /usr/share/${PN}
+ dodir /usr/share/${PN}/wsj3t0-18-bidirectional
+ insinto /usr/share/${PN}/wsj3t0-18-bidirectional
+ for f in wsj3t0-18-bidirectional/* ; do
+ doins ${f}
+ done
+ dodir /usr/share/${PN}/wsj3t0-18-left3words
+ insinto /usr/share/${PN}/wsj3t0-18-left3words
+ for f in wsj3t0-18-left3words/* ; do
+ doins ${f}
+ done
+ if use doc ; then
+ java-pkg_dojavadoc javadoc
+ fi
+ if use source ; then
+ java-pkg_dosrc edu
+ fi
+ java-pkg_dolauncher stanford-postagger --java_args -Xmx300m --main edu.stanford.nlp.tagger.maxent.MaxentTagger
+ java-pkg_dolauncher stanford-postrainer --main edu.stanford.nlp.tagger.maxent.Train
+ java-pkg_dolauncher stanford-postester --main edu.stanford.nlp.tagger.maxent.Test
+}